
mob/verb
	DrawLineTest()
		if(triangles.value || lines.value\
		 || circles.value || filledcircles.value)
			src << "You cannot draw a shape when you are drawing \
			random ones."
			return
		var
			icon/I = icon('Icon.dmi',"Player")
			A = input("x0 (First x axis)","Number") as num
			B = input("x1 (Second x axis)","Number") as num
			C = input("y0 (First y axis)","Number") as num
			D = input("y1 (Second y axis)","Number") as num
		I.DrawBox(null,1,1,32,32)
		I.DrawLine(A , B , C , D)
		src << browse_rsc(I,"Line.dmi")
		src << browse("<img src=Line.dmi>")

	DrawTriangleTest()
		if(triangles.value || lines.value\
		 || circles.value || filledcircles.value)
			src << "You cannot draw a shape when you are drawing \
			random ones."
			return
		var
			icon/I = icon('Icon.dmi',"Player")
			A = input("x1 (First x axis)","Number") as num
			B = input("x2 (Second x axis)","Number") as num
			C = input("x3 (Third x axis)","Number") as num
			D = input("y1 (First y axis)","Number") as num
			E = input("y2 (Second y axis)","Number") as num
			F = input("y3 (Third y axis)","Number") as num
		I.DrawBox(null,1,1,32,32)
		I.DrawTriangle(A , D , B , E , C , F)
		src << browse_rsc(I,"Triangle.dmi")
		src << browse("<img src=Triangle.dmi>")

	DrawCircleTest()
		if(triangles.value || lines.value\
		 || circles.value || filledcircles.value)
			src << "You cannot draw a shape when you are drawing \
			random ones."
			return
		var
			icon/I = icon('Icon.dmi',"Player")
			A = input("x","Number") as num
			B = input("y","Number") as num
			C = input("Radius","Number") as num
		I.DrawBox(null,1,1,32,32)
		I.DrawCircle(A , B , C)
		src << browse_rsc(I,"Circle.dmi")
		src << browse("<img src=Circle.dmi>")

	DrawFilledCircleTest()
		if(triangles.value || lines.value\
		 || circles.value || filledcircles.value)
			src << "You cannot draw a shape when you are drawing \
			random ones."
			return
		var
			icon/I = icon('Icon.dmi',"Player")
			A = input("x","Number") as num
			B = input("y","Number") as num
			C = input("Radius","Number") as num
		I.DrawBox(null,1,1,32,32)
		I.DrawFilledCircle(A , B , C)
		src << browse_rsc(I,"FilledCircle.dmi")
		src << browse("<img src=FilledCircle.dmi>")

	ToggleDrawingRandomTriangles()
		triangles.value = !triangles.value

	ToggleLinesDrawing()
		lines.value = !lines.value

	ToggleCirclesDrawing()
		circles.value = !circles.value

	ToggleFilledCirclesDrawing()
		filledcircles.value = !filledcircles.value

turf
	Grass
		icon = 'Icon.dmi'
		icon_state = "Grass"

mob

	var/random
		triangles		= new(0)
		lines			= new(0)
		circles			= new(0)
		filledcircles	= new(0)

	Stat()
		if(triangles.value)
			var
				icon/I = icon('Icon.dmi',"Player")
				A = rand(1,32) ; B = rand(1,32) ; C = rand(1,32)
				D = rand(1,32) ; E = rand(1,32) ; F = rand(1,32)
			I.DrawBox(null,1,1,32,32)
			I.DrawTriangle(A , D , B , E , C , F)
			src << browse_rsc(I,"Triangle.dmi")
			src << browse("<img src=Triangle.dmi>")
		else if(lines.value)
			var
				icon/I = icon('Icon.dmi',"Player") ; A = rand(1,32)
				B = rand(1,32) ; C = rand(1,32) ; D = rand(1,32)
			I.DrawBox(null,1,1,32,32)
			I.DrawLine(A , B , C , D)
			src << browse_rsc(I,"Line.dmi")
			src << browse("<img src=Line.dmi>")
		else if(circles.value)
			var
				icon/I = icon('Icon.dmi',"Player") ; A = rand(1,32)
				B = rand(1,32) ; C = rand(1,15)
			I.DrawBox(null,1,1,32,32)
			I.DrawCircle(A , B , C)
			src << browse_rsc(I,"Circle.dmi")
			src << browse("<img src=Circle.dmi>")
		else if(filledcircles.value)
			var
				icon/I = icon('Icon.dmi',"Player") ; A = rand(1,32)
				B = rand(1,32) ; C = rand(1,15)
			I.DrawBox(null,1,1,32,32)
			I.DrawFilledCircle(A , B , C)
			src << browse_rsc(I,"FilledCircle.dmi")
			src << browse("<img src=FilledCircle.dmi>")

	player
		icon = 'Icon.dmi'
		icon_state = "Player"


world
	turf = /turf/Grass
	mob = /mob/player


random
	parent_type = /obj
	var/value
	New(x)
		..()
		if(x) value = x