proc
	PixelDistance(x1 , y1 , x2 , y2)
		return sqrt((x2-x1)**2 + (y2-y1)**2)

icon/proc

	DrawCircle(x = 15,y = 15,radius = 2,color = rgb(0,0,0))
		if(!src) return null
		for(var/X = 1 to 32)
			for(var/Y = 1 to 32)
				if(abs(PixelDistance(x,y,X,Y)-radius) < 0.5)
					DrawBox(color,X,Y)

	DrawFilledCircle(x=15, y=15, radius=2, color=rgb(0,0,0))
		if(!src) return null
		for(var/X = 1 to 32)
			for(var/Y = 1 to 32)
				if(PixelDistance(x,y,X,Y) < radius + 0.5)
					DrawBox(color,X,Y)

	DrawTriangle(x1=1, y1=1, x2=32, y2=1, x3=15, y3=32, color)
		if(!src) return null
		if(!color) color = rgb(0,0,0)
		if(x1 == x2 && x2 == x3) return null
		if(y1 == y2 && y2 == y3) return null
		DrawLine(x1,x2,y1,y2)
		DrawLine(x2,x3,y2,y3)
		DrawLine(x3,x1,y3,y1)

	DrawLine(x0, x1, y0, y1)
		var/steep = abs(y1 - y0) > abs(x1 - x0)
		if(steep)
			var/Oldx0 = x0 , Oldy0 = y0 , Oldx1 = x1 , Oldy1 = y1
			x0 = Oldy0 ; y0 = Oldx0 ; x1 = Oldy1 ; y1 = Oldx1
		var
			deltax = abs(x1 - x0)
			deltay = abs(y1 - y0)
			error = 0
			deltaerr = deltay
			x = x0
			y = y0
			xstep = (x0 < x1)?1:-1
			ystep = (y0 < y1)?1:-1
		if(steep) DrawBox(rgb(0,0,0),y,x)
		else DrawBox(rgb(0,0,0),x,y)
		while(x != x1)
			x = x + xstep
			error = error + deltaerr
			if(2*error >= deltax)
				y = y + ystep
				error = error - deltax
			if(steep) DrawBox(rgb(0,0,0),y,x)
			else DrawBox(rgb(0,0,0),x,y)